Replace the file_column plugin with paperclip
[rails.git] / Gemfile
1 # Gem source to use
2 source 'http://rubygems.org'
3
4 # Require rails
5 gem 'rails', '3.2.0'
6
7 # Require the postgres database driver
8 gem 'pg'
9
10 # Load jquery support
11 gem 'jquery-rails'
12
13 # Load rails plugins
14 gem 'rails-i18n-updater'
15 gem 'dynamic_form'
16 gem 'rinku', '>= 1.2.2', :require => 'rails_rinku'
17 gem 'oauth-plugin', '>= 0.4.0.pre7'
18 gem 'open_id_authentication', '>= 1.1.0'
19 gem 'validates_email_format_of', '>= 1.5.1'
20 gem 'composite_primary_keys', '>= 4.1.2'
21 gem 'http_accept_language', '>= 1.0.2'
22 gem 'paperclip', '~> 2.0'
23
24 # Character conversion support for ruby 1.8
25 gem 'iconv', :platforms => :ruby_18
26
27 # Load libxml support for XML parsing and generation
28 gem 'libxml-ruby', '>= 2.0.5', :require => 'libxml'
29
30 # Load ImageMagick support for user picture resizing
31 gem 'rmagick', :require => 'RMagick'
32
33 # Load HTML sanitizer
34 gem 'sanitize'
35
36 # Load SystemTimer for implementing request timeouts
37 gem 'SystemTimer', '>= 1.1.3', :require => 'system_timer', :platforms => :ruby_18
38
39 # Load httpclient for SOAP support for Quova GeoIP queries
40 gem 'httpclient'
41
42 # Load memcache in case we are using it
43 gem 'memcache-client'
44 gem 'memcached'
45
46 # Gems needed for running tests
47 group :test do
48   gem 'timecop'
49 end
50
51 # Gems needed for compiling assets
52 group :assets do
53   gem 'sass-rails', '~> 3.2.3'
54   gem 'coffee-rails', '~> 3.2.1'
55   gem 'uglifier', '>= 1.0.3'
56   gem 'therubyracer'
57 end